package com.fs.watch.service;

import com.fs.watch.domain.WatchBloodGlucoseData;
import com.fs.watch.domain.WatchThirdBpData;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
* @author Administrator
* @description 针对表【watch_blood_glucose_data(血糖数据)】的数据库操作Service
* @createDate 2024-10-15 11:06:50
*/
public interface WatchBloodGlucoseDataService{

    Boolean insert(WatchBloodGlucoseData watchBloodGlucoseData);

    List<WatchBloodGlucoseData> queryByDateAndDeviceId(String date, String deviceId);

    List<WatchBloodGlucoseData> queryBgByDate(Date startTime, Date endTime, String deviceId, Integer status);

    Integer getStatus(int glu);

    List<Map<String,Object>> countBgByDate(Date startTime, Date endTime, String deviceId);

    WatchBloodGlucoseData getLatest(String deviceId);

    int countBgPageByDate(Date startTime, Date endTime, String deviceId,Integer status);

    List<WatchBloodGlucoseData> queryBgPageByDate(Date startTime, Date endTime, String deviceId, Integer status,Integer num, Integer size);
}
